// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "VNParallelEventParser.hpp"
#include "VNSceneEventsParser.hpp"

using namespace Dawn;

std::vector<std::string> VNParallelEventParser::getRequiredAttributes() {
  return std::vector<std::string>();
}

std::map<std::string, std::string> VNParallelEventParser::getOptionalAttributes() {
  return std::map<std::string, std::string>();
}

int32_t VNParallelEventParser::onParse(
  Xml *node,
  std::map<std::string, std::string> values,
  struct VNParallelEvent *out,
  std::string *error
) {
  // Parse all children
  return (VNSceneEventsParser()).parse(node, &out->events, error);
}